View Issue Details

IDProjectCategoryView StatusLast Update
0002696WishesMacropublic2014-06-10 00:13
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002696: Отображать версии LuaFAR и luajit среди прочих выводимых по команде far:ver
DescriptionНеплохо бы по команде far:ver выводить и версии LuaFAR и luajit
TagsNo tags attached.
BuildLMb369

Activities

shmuel

2014-06-08 12:11

developer   bugnote:0012471

По-видимому, достаточно будет сделать, как предложил DrKnS в форуме (по крайней мере меньше возни будет). Вызов с командной строки, наподобие:
    lm:about
будет выводить версии LuaMacro, LuaJIT, MoonScript, LPeg.

Насчёт LuaFAR даже не знаю, что делать, т.к. её "версионирование" было прекращено с момента вхождения её в состав Фара. Видимо, просто не выводить, и всё.

shmuel

2014-06-08 13:32

developer   bugnote:0012473

LuaMacro build 369.

JohnDoe

2014-06-09 00:13

updater   bugnote:0012481

>Насчёт LuaFAR даже не знаю, что делать, т.к. её "версионирование" было прекращено
Изменения в LuaFAR бывают без смены билда фара, поэтому смысл в версионировании библиотеки есть.

shmuel

2014-06-09 00:19

developer   bugnote:0012482

Last edited: 2014-06-09 00:21

View 2 revisions

> Изменения в LuaFAR бывают без смены билда фара,
> поэтому смысл в версионировании библиотеки есть.

Смысл есть, кто бы спорил. Времени на это нет.

В настоящее время ведётся общий changelog для LuaMacro и LuaFAR, и любое изменение в любом из них приводит к инкременту билда LuaMacro.

2useven10

2014-06-09 03:48

developer   bugnote:0012483

>Насчёт LuaFAR даже не знаю, что делать, т.к. её "версионирование" было прекращено

Что тогда значит
   File version: 3.1.1.0
у luafar3.dll ?

shmuel

2014-06-09 09:04

developer   bugnote:0012484

За день до вхождения в состав Фара была релизнута LuaFAR 3.1.0. Через несколько дней после этого её подняли до 3.1.1, чтобы "отразить новый статус". После этого версия больше не изменялась.

JohnDoe

2014-06-09 11:25

updater   bugnote:0012485

>общий changelog для LuaMacro и LuaFAR
Значит и номер билда у них должен быть одинаков.

shmuel

2014-06-09 11:38

developer   bugnote:0012486

Мы что-то плавно перешли на оффтоп.
Если вас волнует "версионирование" LuaFAR, открывайте отдельный тикет для этого.
Данный тикет находится в состоянии feedback.

JohnDoe

2014-06-09 11:49

updater   bugnote:0012487

Вот я и даю feedback.
В тикете изначально указан LuaFAR, но его версия не отображается.
Оффтопа не вижу.

Можно конечно дробить тикеты на более мелкие, если вам удобнее.

shmuel

2014-06-09 11:58

developer   bugnote:0012488

Вам будет легче, есле в диалоге будет выведена версия LuaFAR 3.1.1 полуторагодовалой давности? Полагаю, что нет.

Данный тикет - о ВЫВОДЕ версий по команде пользователя, а не о том, чтобы начинать версионирование там, где его не было.

Поэтому: либо давайте обратную связь по существу, либо данный тикет будет закрыт и без обратной связи.

shmuel

2014-06-09 21:51

developer   bugnote:0012489

Интересно: 20 месяцев все пользуются луафаром, и до сих пор никто не поинтересовался, а какая же у него версия?

Ах, он без версии? Фу, это же некошерно. Ату его, ату!

2useven10

2014-06-09 22:11

developer   bugnote:0012490

Достаточно было сказать, что версии у LuaFAR нет.
Можно сказать, что не будет (потому что не хочу).
Гордиться тут нечем, потому как подсунуть некорректную версию LuaFAR вполне можно.
Но совершенно не смертельно. Если уж на то пошло, фар полтора десятка лет был без far:about и никто особенно не жаловался.

shmuel

2014-06-09 22:17

developer   bugnote:0012491

> Достаточно было сказать, что версии у LuaFAR нет.
> Можно сказать, что не будет (потому что не хочу).

Уж позвольте мне самому решать, что сказать.

> Гордиться тут нечем, потому как подсунуть некорректную версию LuaFAR вполне можно.

Кто тут гордится? Не фантазируйте, пожалуйста.
А насчёт подсовывания - так это уже надо будет не только версионировать, но ещё и ран-тайм проверку делать, не так ли? И всё это предмет данного тикета?

2useven10

2014-06-09 22:34

developer   bugnote:0012492

Всё это делается едва ли не быстрее чем ненужные препирательства на пустом месте.

shmuel

2014-06-09 23:05

developer   bugnote:0012493

И препирательства, по-видимому, с моей стороны?
Надоело.

Issue History

Date Modified Username Field Change
2014-06-06 18:35 JohnDoe New Issue
2014-06-08 12:11 shmuel Note Added: 0012471
2014-06-08 13:32 shmuel Note Added: 0012473
2014-06-08 13:32 shmuel Assigned To => shmuel
2014-06-08 13:32 shmuel Status new => feedback
2014-06-09 00:13 JohnDoe Note Added: 0012481
2014-06-09 00:13 JohnDoe Status feedback => assigned
2014-06-09 00:19 shmuel Note Added: 0012482
2014-06-09 00:21 shmuel Note Edited: 0012482 View Revisions
2014-06-09 00:35 shmuel Status assigned => feedback
2014-06-09 03:48 2useven10 Note Added: 0012483
2014-06-09 09:04 shmuel Note Added: 0012484
2014-06-09 11:25 JohnDoe Note Added: 0012485
2014-06-09 11:25 JohnDoe Status feedback => assigned
2014-06-09 11:38 shmuel Note Added: 0012486
2014-06-09 11:38 shmuel Status assigned => feedback
2014-06-09 11:49 JohnDoe Note Added: 0012487
2014-06-09 11:49 JohnDoe Status feedback => assigned
2014-06-09 11:58 shmuel Note Added: 0012488
2014-06-09 13:50 shmuel Severity minor => feature
2014-06-09 21:51 shmuel Note Added: 0012489
2014-06-09 22:11 2useven10 Note Added: 0012490
2014-06-09 22:17 shmuel Note Added: 0012491
2014-06-09 22:34 2useven10 Note Added: 0012492
2014-06-09 23:05 shmuel Note Added: 0012493
2014-06-10 00:13 shmuel Build => LMb369
2014-06-10 00:13 shmuel Status assigned => closed
2014-06-10 00:13 shmuel Resolution open => fixed
2014-06-10 00:13 shmuel Fixed in Version => 3.0